﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Entity;
using Microsoft.EntityFrameworkCore;

namespace Contextlib
{
    public class WTFContext : DbContext
    {
        public DbSet<Admin> admins {  get; set; }
        public DbSet<Character> characters { get; set; }
        public DbSet<Commentary> comments { get; set; }
        public DbSet<DailyQuote> dailyquotes { get; set; }
        public DbSet<Favorite> favorites { get; set; }
        public DbSet<Images> images { get; set; }
        public DbSet<Question> question { get; set; }
        public DbSet<Quiz> quizzes { get; set; }
        public DbSet<QuizQuestion> quizQuestions { get; set; }
        public DbSet<Quote> quotes { get; set; }
        //public DbSet<RecordQuiz> records { get; set; }
        public DbSet<Source> sources { get; set; }
        public DbSet<Users> users { get; set; }


        protected override void OnConfiguring(DbContextOptionsBuilder options)
            => options.UseSqlServer(@"Server=(localdb)\mssqllocaldb;Database=WfDatabase.mdf;Trusted_Connection=True;");
    }
}
